.cw 12
.op
.hm 0
.h1HAL COMMUNICATIONS CORP.        90508005.TST             ST-8000A
.h2PRODUCTION TEST PROCEDURE:      PT905-08005  Rev: A      07/30/91
.h3ST8000A UNIT                    ASSEMBLY A6B      P/N:  905-08005
.lh 8
.lq off
.ps off
.po 8
.ul off
.sr 3

.f1       ***  CAUTION ESD HANDLING PROCEDURES REQUIRED  ***
.f2  
.f3910730                   PAGE # OF 22                  PT905-08005


                  ST-8000A UNIT - ASSEMBLY A6B
                    FINAL HAL TEST PROCEDURE 

         MANUFACTURING WORK ORDER (MWO):    90508005.MWO


.lm 10
.rm 55

         ****************  CAUTION  *******************

         THIS    ASSEMBLY    CONTAINS    ELECTRO-STATIC 
         SENSITIVE   DEVICES  (ESD).   TESTS  MUST   BE 
         CONDUCTED  AT  AN APPROVED  ESD  WORK-STATION.  
         PERSONNEL  MUST  WEAR AND USE  ESD  PREVENTION 
         DEVICES.
.lm 1
.rm 65

REF:      SCHEMATIC DRAWINGS  A1787 through A1827  Current REV:
          PICTORIAL DRAWING   C1464        REV: G
                              C1465        REV: D
                              C1468        REV: A

          WIRING SAMPLE:      WS905-08004  REV: A
          PARTS LISTS:        PL905-08004  REV: B
                              PL905-08005  REV A



1.0  FACTORY TEST PROCEDURES AND CONFIGURATION

The following pages provide procedures for factory final  testing 
of the ST-8000A unit and is not intended as a procedure for field 
maintenance.  This  procedure  assumes  access  to  factory  test 
equipment and jigs that are not available for field maintenance.

All  problems discovered while final testing the unit  should  be      
recorded  and resolved before continuing. If parts needed  to  be 
replaced,  the  unit  should  be returned  to  burn-in.   At  the 
completion of these tests, the ST-8000A will have been tested and 
the ST8000A is then submitted for acceptance testing.


.pa



2.0  TEST EQUIPMENT REQUIRED:


The following test instruments or their equivalents are essential      
to the proper completion of the described tests:


     HP400FL AC Voltmeter (+30 to -80 dBm @ 600 ohms)

     HP3311 Function Generator (20 to 20,000 Hz, +10 to - 30 dBm)

     HP5381A Frequency Counter (20 Hz to 10 MHz)

     HP1222A Oscillosope (DC to 10 MHz)

     Fluke 77 Multimeter (AC & DC Volts 20 MV to 600 V)

     600 Ohm Step Attenuator (0 to - 70 dB in 1 dB steps)

     ASCII Communication Terminal (HAL DS3200 or PC 
       with serial I/O and communication terminal software)

     Electrostatic Work Station with grounded floor and table 
       mats, grounded wrist bracelet (3M 8031 kit)

     HAL Engineering ST-8000A Audio I/0 Test Unit 
     TF900-08005 REV: A
     HAL Engineering ST-8000A Data/Remote Test Unit 
     TF900-08006 REV: A
.pa
.lm 8
.pm 1




3.0  TEST PROCEDURE:

STEP                          ACTION
-----------------------------------------------------------------
3.1  INITIAL TESTS:

3.1.1  Preliminary Inspection:

       Verify  that the unit has been on burn-in for at least  24    
       hours,  that it is still operating, and that the unit  has 
       not    reset on burn-in.

3.1.2  Verify Switch and Jumper Settings on MODEM Board (A1):

          SW1-1 ON  (SW1-2 thru -8 OFF)   (0 dBm AMH Threshold)
          SW2-8 ON  (SW2-1 thru -7 OFF)   (1 second AMH Delay)

          J6  = ']' Position              (Input Term = 600 ohms)
          J8  = 'Tones On' Position       (MUTE defeated)
          J9  = '-V' Position             (LOS = -V  polarity)
          J10 = Installed                 (HS Modem Filters)
          J11 = Installed                         "
          J12 = Installed                         "
          J13 = Installed                         "
          J14 = 'NDIV' Position            (Defeat Diversity)
          J15 = 'NDIV' Position                   "

3.1.3  Verify Switch and Jumper Settings on CONTROL Board (A2):

          A2SW1 =  All OFF                 (Delay 1,2)
          A2SW2 =  All OFF                 (Delay 3,4)
          A2SW3-2 ON (SW3-1,
                      SW3-3 thru -8 OFF)   (9600 Baud Remote)
          A2SW4-1 ON (SW4-2 thru -8 OFF)   (Unit Address = 01)
	
          A2J2  = '232' Position           (Data TXD Type Select)
          A2J4  = '232  Position           (REMTXD Single Unit)
          A2J6  = 'NORM'Position           (RXD Clock Polarity)
          A2J7  = '232' Position           (Remote type select)
          A2J8  = ']'   Position           (REMDTR Single Unit)

.pa



STEP                          ACTION
-----------------------------------------------------------------
3.1.4  Turn On Test

     Observe:       8.8.8.8.8  (Front panel)
                    8.8.8.8.8
                    8.8.8.8

     Changes to:    HAL 
                    8000A
                    x.xx

     Changes to:    2125.0
                    2975.0
                    75.

or other typical tone set.


3.1.5  Voltage Tests:

    a.  On POWER SUPPLY Assembly A4:

     +5 Unreg  Power Supply C9-Pos to GND   11.0   1.0 VDC
     +V Unreg  Power Supply C5-Pos to GND   15.0   1.5 VDC
     -V Unreg  Power Supply C6-Neg to GND  -16.0   1.5 VDC

     +5 Reg TP+5 to Gnd  5.0  0.2 VDC        Measure & record.
     +V Reg TP+V to Gnd  8.0  7.9 to  8.3 VDC Measure & record.
     -V Reg TP-V to Gnd -8.0 -7.9 to -8.3 VDC Measure & record.


.pa



STEP                          ACTION
-----------------------------------------------------------------
3.2    MODULATOR TEST:

       For  this part of the final test procedure, references  to    
       jumpers, resistors, test points, switches, and  integrated 
       circuits  all refer to parts on the modem    board  unless 
       specified otherwise.

3.2.1  Remote Control Terminal Setup

       Connect  a 9600 baud ASCII terminal to the Remote  Control    
       port  (Rear Panel A5J4). To facilitate the testing of  the 
       ST-8000A Modem board, the following test commands will  be 
       useful  and  should be stored as HERE IS messages  in  the 
       ASCII  terminal.  The test commands can be  entered  on  a 
       single  line.  Spaces are not necessary, but  the  command 
       must be terminated with a carriage return.


  Test Command 1:                 Test Command 2:	
    p0                              p0
    c02r1 m2000 s3000 b30           c02r1 b75
    c01   m2000 s3000 b30           c01   b75


  Test Command 1 sets the         Test Command 2 sets the
  following parameters:           following parameters:	
    MOD MARK:        2000          MOD MARK:        1575
    MOD SPACE:       3000          MOD SPACE:       2450
    MOD BAUD:        30            MOD BAUD:        75
    DEMOD MARK:      2000          DEMOD MARK:      1575
    DEMOD SPACE:     3000          DEMOD SPACE:     2425
    DEMOD BAUD:      30            DEMOD BAUD:      75

    Synch:           Off           Synch:           Off
    Regen:           Off           Regen:           Off
    Mode:            FSK           Mode:            FSK
    AMH:             On            AMH:             On
    Hold:            Off           Hold:            Off
    Polarity         Normal        Polarity         Normal
    Auto Mute        Off           Auto Mute        Off
.pa                                                                          


                                   SCOPE, ACVM,              dB
                                   dB METER,                ATTEN
STEP   ACTION                      COUNTER        GEN        BOX
-----------------------------------------------------------------
3.2.2  Connect MOD FSK Audio out 
       out to a 600 ohm load.
       (Rear Pan A5J2-1, A5J2-3) 
       Unless specified otherwise, 
       the modem tests are to be 
       conducted with this load.


3.2.3  Send Test Command 1.
       Confirm -35 to 0 dBm        Mod FSK out
       range with Front Panel      (Rear Panel
       Output Level control.       A5J2-1, J2-3)
	
       Reset front panel Output 
       Level control to maximum    Mod FSK out
       (Full CW).                  (Rear panel
       Disconnect 600 ohm load.    A5J2-1, J2-3)
       Verify level.                10 dBm
       Reconnect 600 ohm load.

3.2.4  Connect a 30 baud RS232 
       signal to Data TXD in 
       (A5J1-20).
       Observe modulated             MOD FSK
       MOD FSK Audio output.         Audio out

3.2.5  Send Test Command 1.
       Observe 2000 Hz sine wave.  TP4; 
       Measure & record level.     1.0 dBm .5

       Measure and                 TP3;
       record level.               4.5 dBm .5

3.2.6  Connect a 2000 Hz,
       0dBm signal 
       to Demod FSK Audio in 
       (A5J2-10, A5J2-12)          Mod FSK
       through a 600 ohm resistor. Audio in
       Verify level.               -6.0 dBm .5

       Remove jumper J6.
       Measure and record          MOD FSK
       level at MOD                Audio in
       FSK Audio in.              
       (A5J2-1, A5J2-3).           -1.0 dBm .5
       Reinstall jumper J6.
.pa


                                   SCOPE, ACVM,              dB
                                   dB METER,                ATTEN
STEP   ACTION                      COUNTER        GEN        BOX
-----------------------------------------------------------------
3.3  DEMODULATOR FILTER TESTS

3.3.1 Connect signal generator to 
      Demod FSK Audio in           DEMOD FSK
      (A5J2-10, A5J2-12)           Audio In.
      through the dB box.                                   0 dB
      Set signal generator.                       2.000 kHz
                                                  0.0 dBm
3.3.2 BIT CAL Test
      Send Test Command 1.         DEMOD FSK
      Set BIT mode to external     Audio In.
      (Remote command: t0).        TP1
      Measure & record level       -1.3 dBm .5

      Set BIT mode to internal 
      0 dbm (Remote command: t5).  
      Verify no level change.      TP1

      Set BIT mode to internal     TP1
      -20 dBm (Remote command:t6)  20 dB .5 below
      Verify level.                "0" db level
                                   
      Set Bit mode to internal     TP1
      -45 dBm (Remote command:t7)  45 dB .5 below
      Verify level.                "0" dB level

      Reset BIT mode to external
      (Remote command:t0)
      
3.3.3  Test Input Filter           DEMOD FSK      2.000 kHz
       Check generator.            Audio In       0.0 dBm    0 dB
       Measure & record            TP2; 
                                   6.2 dBm .5
                                  
3.3.4  Test Filter Clocks          TP15 (MARK)
       Send Test Command 1.        @ 100 KHz
       Observe: TTL square wave.   TP8 (SPACE) 
                                   @ 150 KHz  
                                   TP21 (LPF) 
                                   @ 2880 Hz
.pa


                                   SCOPE, ACVM,              dB
                                   dB METER,                ATTEN
STEP   ACTION                      COUNTER        GEN        BOX
-----------------------------------------------------------------
3.3.5  MARK Filter Test

       Send Test Command 1.
       Set generator.               DEMOD FSK     2.000 kHz
                                    Audio In      0.0 dBm    0 dB

     Change the Demod. baud rate to set MARK filter Qs using:

      Q      Baud       Q    Baud
     ------------      -----------
     33.6     30       5.93   337
     23.2     86       4.48   443
     17.5     114      3.69   540
     13.7     145      3.16   625
     11.7     170      2.88   689
     9.90     202      2.63   760
     7.85     253      2.34   854
     6.10     327      2.10   952

     The above is based on the formula:
     Q = Center Frequency / Baud = 2000 / Baud

       Decrement the Q 
       of the MARK filter.          TP14 
       (Remote commands: 
       c01 b30, b86, ... b952).

       Observe level increases.    2.75 dBm @ 
                                   MARK Q = 33.6
                                   5.5 dBm @ 
                                   MARK Q =  2.1

       Send Test Command 1.        TP12 4.25 dBm
       Measure & record levels.    TP14 2.75 dBm

       Measure & record levels
       for MARK Q =                TP14  
       33.6, 6.1, 5.93, 2.10.
       (Remote commands: 
       c01 b30, b327, b337, b952).

.pa


                                   SCOPE, ACVM,              dB
                                   dB METER,                ATTEN
STEP   ACTION                      COUNTER        GEN        BOX
-----------------------------------------------------------------
3.3.5  (Continued)
       Measure & record -3 dB
       frequencies for MARK Q =    TP14
       33.6
       (Remote commands:
       c01 b30).

       Compute and record BW, Fc and Qmeas. Target Value:

       Mark Q   BW (Hz)        Fc (Hz)        Qmeas
       ------------------------------------------------
       33.6     62  4         2000 2        32.5 1.5

       Reset generator.            DEMOD FSK      2.000 kHz
                                   Audio In       0.0 dBm    0 dB

3.3.6  Space Filter Test
       Send Test Command 1.
       Set Demod SPACE: 2000 Hz, 
       Demod MARK: 3000 Hz
       (Remote command: 
       c01 s2000 m3000).
	
       Set generator.              DEMOD FSK      2.000 kHz
                                   Audio In       0.0 dBm    0 dB

       Change the demod baud rate to set filter Qs:

        Q       Baud      Q     Baud
       -------------     -----------
       33.6     30       5.93   337
       23.2     86       4.48   443
       17.5     114      3.69   540
       13.7     145      3.16   625
       11.7     170      2.88   689
       9.90     202      2.63   760
       7.85     253      2.34   854
       6.10     327      2.10   952

       The above is based on the formula:
       Q = Center Frequency / Baud = 2000 / Baud

       Decrement the Q             TP7
       of the SPACE filter.        2.75 dBm @
       (Remote commands:           SPACE Q = 33.6
       c01 b30, b86, ... b952).    5.5 dBm @
       Observe level increases.    SPACE Q = 2.1 

.pa


                                   SCOPE, ACVM,              dB
                                   dB METER,                ATTEN
STEP   ACTION                      COUNTER        GEN        BOX
-----------------------------------------------------------------
3.3.6 (Continued)
       Set SPACE Q to 33.6         TP9 4.25 dBm
       (Remote command: c01 b30).  TP7 2.75 dBm
       Measure & record levels.      
                                    
       Measure & record levels     TP7
       for SPACE Q =        
       33.6,  
       (Remote commands: 
       c01 b30, b327, b337, b952).

       Measure & record -3dB       TP7
       frequencies for SPACE Q =
       33.6
       (Remote commands: 
       c01 b30).
	
       Compute and record BW,Fc and Qmeas.  Target Values:

       SPACE Q  BW (Hz)        Fc (Hz)        Qmeas
       ------------------------------------------------
       33.6     62  4         2000 2        32.5 1.5
	
       Reset generator.                                2.000 kHz


3.3.7  AMH Test

       Connect the signal          DEMOD FSK      DEMOD FSK
       generator to DEMOD          Audio In       Audio In
       FSK Audio in (A5J2-10,
       A2J2-12).

       Send Test Command 1.

       Set generator & dB box.                    2.000 kHz
       Set AMH Threshold @ 0 dBm                  0.0 dBm   -1 dB
       (SW1-1 only on).

       Confirm LOS (TTL High)
       for Threshold switch        TP5                     -1 dB
       settings of: 0,-6,                                    to
       -12,-18,-24,-30,-36,-42                            -43 dB
       with input levels of -1,-7,
       -13,-19,-25,-31,-37,-43 
       dBm respectively, 2 dBm.
	
       Reset AMH Threshold to 
       0 dBm (SW1-1 only on).
.pa

   

                                   SCOPE, ACVM,              dB
                                   dB METER,                ATTEN
STEP   ACTION                      COUNTER        GEN        BOX
-----------------------------------------------------------------
3.3.8  Gain Control Test           DEMOD FSK      2.000 kHz
       Send Test Command 1.        Audio In       0.0 dBm    0 dB
       Set generator & dB box.

       Decrease Demod FSK Audio    TP14
       In level.  Observe level
       increases due to gain 
       control @ -4, -10, -16, 
       -22, -28, -34, -40 dBm.
       Tolerance = 2 dBm.

       Set Demod Space: 2000
       (Remote Command: c01 s2000)	
       Decrease Demod FSK Audio    TP7
       In level.  Observe gain 
       control changes @ -4, -10, 
       -16, -22, -28, -34, 
       -40 dBm, 2 dBm

3.3.9  Low Pass Filter Test	

       Set generator and dB box.   DEMOD FSK      2.000 kHz
                                   Audio In       0.0 dBm    0 dB
	
       Send Test Command 1.	
       Confirm zero offset         TP23

       Set Demod MARK: 3000, 
       Demod SPACE: 2000 
       (Remote command: 
        m3000 s2000)
       Observe detected space 
       4VDC level.                TP23

       Confirm zero offset         TP22 
       Send Test Command 1.
       Observe detected mark 
       4VDC level.                TP22


.pa


                                   SCOPE, ACVM,              dB
                                   dB METER,                ATTEN
STEP   ACTION                      COUNTER        GEN        BOX
-----------------------------------------------------------------
3.3.10 Detector Select Test

       Jumper Mod FSK Audio out 
       (A5J2-1, A5J2-3)
       to Mod FSK Audio In 
       (A5J2-10, A5J2-12).

       Send Test Command 2.
       Connect a symmetric 
       75 baud RS232 signal 
       to Data TXD in (A5J1-20).

       Observe a symmetric 
       75 baud TTL Signal          TP24
       for MK Only, SP Only, 
       and FSK detector modes
       (Remote commands: 
        j1, j2, j0).

3.3.11 High Speed Demod Filter Test 
       Jumper Mod FSK Audio out 
       (A5J2-1, A5J2-3)
       to Mod FSK Audio In 
       (A5J2-10, A5J2-12).
       Send Test Command 2.
       Observe 12200 Hz sine wave  TP11        
                                    5.5 dBm


.pa


                                   SCOPE, ACVM,              dB
                                   dB METER,                ATTEN
STEP   ACTION                      COUNTER        GEN        BOX
-----------------------------------------------------------------

3.4    MODEM I/O TESTS:

3.4.1  Demod RXD Output Check
       Jumper Mod FSK Audio out 
       (A5J2-1, A5J2-3)
       to Demod FSK Audio in 
       (A5J2-10, A5J2-12).

       Connect symmetric 75 baud 
       RS232 signal to 
       Data TXD in (A5J1-20).
       Send Test Command 2.
       Observe symmetric 75 baud   DEMOD RS-RXD
       RS232 signal.               A5J1-22

       Set Data TXD in rate 
       to 1200 baud 
       (Remote command: c02 b1200).
       Set Demod to 1200 baud 
       (Remote command: c01 b1200).
       Observe symmetric           DEMOD MIL-RXD
       1200 baud MIL188 signal.    A5J1-23


3.4.2  Data CD Out Test
       Jumper Mod FSK Audio out 
       (A5J2-1, A5J2-3)
       to Demod FSK Audio in 
       (A5J2-10, A5J2-12).

       Confirm AMH Threshold 
       @ 0 dBm (SW1-1 only on).

       Confirm AMH Delay 
       @ 1 second (SW2-8 only on).

       Confirm LOS Polarity 
       (J9) '-V' position.

       Send Test Command 2.        
       Set BIT Mode to 
       0dBm internal
       (Remote command:t5)         CD Out
       Observe Data CD out         A5J1-10
                                   RS232 High

.pa


                                   SCOPE, ACVM,              dB
                                   dB METER,                ATTEN
STEP   ACTION                      COUNTER        GEN        BOX
-----------------------------------------------------------------
       Set BIT Mode to             CD Out
       internal -20 dBm            A5J1-10
       (Remote command: t6).       RS232 Low
       Observe Data CD out. 

       Set Demod baud to           CD Out
       1200 baud.  (Test           A5J1-10
       command: c01 b1200 t6).     RS232 High
       Observe Data CD out.

       Set J8 to 'Auto Mute'
       Set Auto Mute On            CD Out
       (Test command: u1).         A5J1-10
       Observe Data CD out.        RS232 Low (LOS)

       Set AMH off                 CD Out
       (Test command: A0).         A5J10-1
       Observe Data CD out.        RS232 High

       Set LOS Polarity to '+V'.   CD out
       (A1J9 = '+V')               A5J1-10
                                   RS232 Low

       Reset LOS Polarity to '-V'
       (A1J9 = '-V')


3.4.3  AMH Time-out Test	

       Jumper Mod FSK Audio out                             0 dBm
       (A5J2-1, A5J2-3)
       to Demod FSK Audio in 
       (A5J2-10, A5J2-12).
	
       Set jumper J8 to 
       'Auto Mute' position.
       Confirm AMH Threshold 
       @ 0 dBm (SW1-1 only on).

       Set AMH Delay to 
       5 seconds (SW2-1 thru -8 OFF).
.pa


                                   SCOPE, ACVM,              dB
                                   dB METER,                ATTEN
STEP   ACTION                      COUNTER        GEN        BOX
-----------------------------------------------------------------
3.4.3 (cont)
       Set counter for 
       interval measurements.
       Set counter Channel A 
       to trigger on 
       trailing edge of 
       Data DRTS in 
       (A5J1-17) signal            CH A:
       Set counter Channel B       Data DRTS In
       to measure delay to 
       trailing edge of 
       Data CD out                 CH B:
       (Rear J1-10) signal.        Data CD out
	
       Send Test Command 2.
       Togle DRTS (A5J1-17)
       (send a line of QBF).
       Confirm time delay to 
       loss of signal (Data CD 
       out @ RS232 low) for 
       AMH Delay settings of:
       5.0, 4.5, 4.0, 3.5, 3.0, 
       2.5, 2.0, 1.5, 1.0 secs
       (SW2-1 thru -8 off,
       SW2-1 only on,... 
       SW2-8 only on).
       Tolerance = 0.2 secs.
       Measure & record time for
       for 5 second AMH delay
       setting.

       Reset AMH Delay to 
       1.0 secs (SW2-8 only on).
       Reset jumper J8 to 
       'Tone On' position.


3.4.4  Data DCTS Out Test

       Set Data DRTS in 
       (A5J1-17) to RS232 high.
       Confirm Data DCTS out       Data DCTS
       (A5J1-18) is RS232 high.    RS232 high

       Set Data DRTS in 
       (A5J1-17) to RS232 low.
       Confirm Data DCTS out       Data DCTS
       (A5J1-18) is RS232 low.     RS232 low



                                   SCOPE, ACVM,              dB
                                   dB METER,                ATTEN
STEP   ACTION                      COUNTER        GEN        BOX
-----------------------------------------------------------------
3.4.5  Tuning Bar Test
       Send Test Command 2.
       Set Demod Baud to 1200 
       (Remote command: c01 b1200).
       Connect DEMOD FSK           DEMOD FSK      
       Audio in (A5J2-10, -12).    Audio In       
       to a 0 dBm 1200 bd 
       1575/2425 M/S signal
       (Remote command: p1).

       Adjust 0 dBm MK CAL pot 
       and 0 dBm SP CAL pot
       (R254 and R233) for 
       0 dBm indication on the 
       front panel tuning bar 
       indicators.  
       Select Modulator
       (Remote command: c02)
       Confirm operation of
       the tuning bar indicators.

       Send Test Command 2.
       Connect DEMOD FSK           DEMOD FSK      
       Audio in (A5J2-10, -12).    Audio In       
       to a -45 dBm 75 bd 
       1575/2425 M/S signal.       

       Adjust -45 dBm MK CAL pot 
       and -45 dBm SP CAL pot
       (R220 and R225) for 
       -45 dBm indication on 
       the front panel tuning bar 
       indicators.

       Reset Audio In to 0 dB.
       Select Modulator 
       (Remote command: c02).
       Connect 75 baud RS232 signal 
       to Data TXD in (A5J1-20).
       Confirm operation of 
       the tuning bar indicators.

.pa


                                   SCOPE, ACVM,              dB
                                   dB METER,                ATTEN
STEP   ACTION                      COUNTER        GEN        BOX
-----------------------------------------------------------------
3.4.6  Keyline Test

       Jumper MOD FSK Audio out 
       (A5J2-1, A5J2-3) to 
       DEMOD FSK Audio in 
       (A5J2-10, A5J2-12).
       Connect 75 baud RS232 signal 
       to Data TXD in (A5J1-20).

       Send Test Command 2.
       Confirm continuity between 
       Data Key1 and Data Key2
       (A5J1-15 and A5J1-16)

       Confirm continuity between 
       Audio Key1 and Audio Key2
       (A5J2-5 and A5J2-6).

       Set Data TXD to RS232 low.       
       Confirm open circuit between 
       Audio Key1 and Audio Key2 
       (A5J2-5 and A5J2-6).


3.4.7  Data TXC Out And RXC Out.

       Send Test Command 2.
       Verify Data RXC out
       (A5J1-21)                   Data RXC out
       (symetric RS232 Signal      75 Hz
        @ Demod baud rate)

       Set Synchronous mode 
       (Remote command: w0)
       Verify  RXC out 
       (A5J1-21) at mid bit of     Data RXC out
       Demod RS-RXD out            75 Hz
        (A5J1-22).
	
       Verify operation of A2J6 
       (RXD Clock Polarity)
      
       Verify Data TXC out 
       (A5J1-19)                   Data TXC
       (symmetric RS232 signal @   75 Hz
       mod baud rate).

.pa


                                   SCOPE, ACVM,              dB
                                   dB METER,                ATTEN
STEP   ACTION                      COUNTER        GEN        BOX
-----------------------------------------------------------------
3.4.8  Undet MARK Out, 
       Undet SPACE Out Test.
 
       Jumper MOD FSK Audio out 
       (A5J2-1, A5J2-3) 
       to DEMOD FSK Audio in 
       (A5J2-10, A5J2-12).
       Connect 75 baud RS232 signal
       to Data TXD in (A5J1-20).
	
       Send Test Command 2.
       Set scope to A vs B mode.
       Connect CH A Scope to 
       Undet Mark Out 
       (A5J1-7).                   CH A: 
       Connect CH B Scope to       Undet MARK
       Undet Space Out 
       (A5J1-9)                    CH B:
       Observe M/S ellipses.       Undet SPACE

3.4.9  Modem-Control Board I/O Test

       Verify proper operation of 
       Remote Busy Out (CTS) (A5J4-5)
          (use Remote Command:L) 
       Remote RTS out (A5J4-4)
          (RS232 high), 
       Remote Busy In (DTR) (A5J4-5) 
          (set Busy in to RS232 low,
           use Remote command: L).
	
       Use the "L" command to 
       verify operation of 
       A2J7 (Remote type select)

       Send QBF to verify 
       operation of
       A2J2 (Data TXD type select)

       Send Test Command 1.
       Set 75 baud
       (Remote command: c01 b75).
       Set signal generator                       2000 Hz     0dB
       and dB box.                                0 dBm

.pa


                                   SCOPE, ACVM,              dB
                                   dB METER,                ATTEN
STEP   ACTION                      COUNTER        GEN        BOX
-----------------------------------------------------------------
3.4.9 (cont)
       Use Remote Command "g4"
       to verify Control Board reading
       of DGA, DGB, DGC, and AMHO.
       Observe RX Signal Level 0 dBm.
       Observe LOS off.

       Observe RX Signal Level -3 dBm.                      -4 db
       Observe LOS On.

       Observe RX Signal Level -9 dBm.                     -10 dB

       Observe RX Signal Level -21 dBm.                    -22 dB


3.5    Control Board Tests

       Turn  AC  power OFF. Connect the ST-8000A to COM1  of  the    
       terminal  via the Remote Port (Rear panel A5J4).  Run  the 
       ST-8000A  test software "STA". Install the ST-8000A   Test 
       ROM  into the Control Board U4 socket  (675-807xx  EPROM). 
       Turn  AC  power ON. Run the Switch and NMI  Control  Board 
       tests.  Also run the front panel tests except  the  Tuning 
       Bar Test. 

       Turn  power OFF and re-install application  firmware  into    
       Control Board U4 socket (675-0806xx) and run BIT test.
       Set  stored paramters to the default settings  
       (Test command:p0)

3.6    Connector Continuity Test
       Check Continuity to 
       ground for:
       Data  Rear A5J1-12, 13, 
       14, 24, 25, 26, 36, 37
       Audio Rear A5J2-37
       Remote Rear A5J4-6

       Check continuity between 
       A5J1-8 and A5J2-8.

.pa


                                   SCOPE, ACVM,              dB
                                   dB METER,                ATTEN
STEP   ACTION                      COUNTER        GEN        BOX
-----------------------------------------------------------------
3.7    Diversity Test 
       (when installed)

       Connect J2 to 
       Diversity connector 
       (A5J5).

       Jumper Mod FSK Audio out 
       (A5J2-1, A5J2-3) to 
       Demod FSK Audio in 
       (A5J2-10, A5J2-12).
       Set jumpers J13 and J14 
       to 'Div' positions.

       Send Test Command 2.
       Set Div mode 
       (Remote command: d1).
       Connect a 75 baud 
       RS232 signal to 
       Data TXD in (A5J1-20).

       Confirm Diversity Mark.     A5J5-1
       Confirm Diversity Space.    A5J5-2 
       Confirm Diversity Peak Det. A5J5-3
       Confirm Diversity AMH.      A5J5-4
       Confirm continuity to 
       GND A5J5-5.
       Reset jumpers J13 & J14
       to 'NDIV' position.


3.8    FINAL ASSEMBLY

3.8.1  Turn  the  AC power OFF. Set factory switch  defaults  and     
       jumper  defaults.  Verify tightness of all  hardware,  and 
       secure the Control Board. Verify that the  exterior of the  
       unit  is free from cosmetic defects and that the  interior 
       is free of debris. 

3.8.2  Indicate that the unit has been successfully final  tested 
       and  submit the unit for acceptance testing (as  required) 
       and final Q/A.

3.8.3  Initia an dat MW lo an pas lo an uni t Q/ 
Inspector.
.pa





                    Factory Default Switch Settings

MODEM Board (A1):

          SW1-8 ON  (SW1-1 thru -7 OFF)  (-42 dBm AMH Threshold)
          SW2-8 ON  (SW2-1 thru -7 OFF)  (1 second AMH Delay)

          J6  = ']' Position             (Input Term = 600 ohms)
          J8  = 'Auto Mute' Position     (MUTE enabled)
          J9  = '-V' Position            (LOS = -V  polarity)
          J10 = Installed                (HS Modem Filters)
          J11 = Installed                        "
          J12 = Installed                        "
          J13 = Installed                        "
          J14 = 'NDIV' Position          (Defeat Diversity)
          J15 = 'NDIV' Position                  "

CONTROL Board (A2)

          A2SW1-2&4 only ON              (Delay 1,2)
          A2SW2-7   only ON              (Delay 3,4) 250 mS Delay 
          A2SW3-2   only ON              (9600 Baud Remote)
          A2SW4-1   only ON              (Unit Address = 01)
	
          A2J2  = '232' Position         (Data TXD Type Select)
          A2J4  = '232  Position         (REMTXD Single Unit)
          A2J6  = 'NORM'Position         (RXD Clock Polarity)
          A2J7  = '232' Position         (Remote type select)
          A2J8  = ']'   Position         (REMDTR Single Unit)

.pa

        ST8000A MODEM BOARD/UNIT FINAL - ASSEMBLY A1/A6 TEST LOG 

__Unit
__Board S/N__________                            Tech__________

Date__________          Start__________          Stop__________


Voltage Tests:

+5V__________V          +8V__________V           -8V__________V


Modulator Tests:

TP4__________dBm        TP3__________dBm    Hi Z __________dBm


Demod Filter Tests:

TP1__________dBm

 TP2 (dBm)  Fh (Hz)   Fl (Hz)   BW (Hz)   Fc(Hz)      Q

                                                      


TP12__________dBm     TP14__________dBm

   QM   TP14(dBm) Fh (Hz) Fl (Hz)  BW (Hz)  Fc (Hz)    Q

 33.6                                                 

 6.10                                                 

 5.93                                                 

 2.10                                                 


TP9 __________dBm     TP7 __________dBm

   QS   TP7(dBm) Fh (Hz)  Fl (Hz)  BW (Hz)  Fc (Hz)    Q

 33.6                                                 

 6.10                                                 

 5.93                                                 

 2.10                                                 


TP5 5 sec Timeout__________sec
